be.fgov.ehealth.commons.protocol.v2

## Class PaginationResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.PaginationResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:52:04+02:00",
                 comments="JAXB RI v2.3.7")
      public class PaginationResponseType
      extends ResponseType
      implements Serializable

  eHealth SOA Response Type for Services that require a Pagination as input.

  Java class for PaginationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PaginationResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
             <attGroup ref="{urn:be:fgov:ehealth:commons:core:v2}PaginationAttributeGroup"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaginationResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxElements()` Gets the value of the maxElements property.
    `int` | `getOffset()` Gets the value of the offset property.
    `void` | `setMaxElements(int value)` Sets the value of the maxElements property.
    `void` | `setOffset(int value)` Sets the value of the offset property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaginationResponseType

          public PaginationResponseType()

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Gets the value of the offset property.

    - #### setOffset

          public void setOffset(int value)

      Sets the value of the offset property.

    - #### getMaxElements

          public int getMaxElements()

      Gets the value of the maxElements property.

    - #### setMaxElements

          public void setMaxElements(int value)

      Sets the value of the maxElements property.

Connector Packaging PERSAUDIOLOGIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.